Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class FileInformationBlock

    java.lang.Object
      org.apache.poi.hwpf.model.types.FIBAbstractType
          org.apache.poi.hwpf.model.FileInformationBlock

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.poi.hdf.model.hdftypes.HDFType

    public final class FileInformationBlock

extends FIBAbstractType
implements java.lang.Cloneable

The File Information Block (FIB). Holds pointers to various bits of the file, and lots of flags which specify properties of the document. The parent class, `FIBAbstractType`, holds the first 32 bytes, which make up the FibBase. The next part, the fibRgW / FibRgW97, is handled by `FIBShortHandler`. The next part, the fibRgLw / The FibRgLw97, is handled by the `FIBLongHandler`. Finally, the rest of the fields are handled by the `FIBFieldHandler`.

Author:
  andy

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.types.FIBAbstractType
`field_1_wIdent, field_10_history, field_11_chs, field_12_chsTables, field_13_fcMin, field_14_fcMac, field_2_nFib, field_3_nProduct, field_4_lid, field_5_pnNext, field_6_options, field_7_nFibBack, field_8_lKey, field_9_envr`

Constructor Summary
`FileInformationBlock(byte[] mainDocument)` Creates a new instance of FileInformationBlock

Method Summary
`void` | `clearOffsetsSizes()`
`void` | `fillVariableFields(byte[] mainDocument, byte[] tableStream)`
`int` | `getCbMac()` How many bytes of the main stream contain real data.
`int` | `getCcpAtn()` The count of CPs in the comments (atn) subdocument
`int` | `getCcpCommentAtn()`
`int` | `getCcpEdn()` The count of CPs in the end note subdocument
`int` | `getCcpFtn()` The count of CPs in the footnote subdocument
`int` | `getCcpHdd()` The count of CPs in the header story subdocument
`int` | `getCcpHdrTxtBx()` The count of CPs in the header textboxes
`int` | `getCcpText()` The count of CPs in the main document
`int` | `getCcpTxtBx()` The count of CPs in the main document textboxes
`int` | `getFcClx()`
`int` | `getFcDggInfo()`
`int` | `getFcDop()`
`int` | `getFcPlcfbteChpx()`
`int` | `getFcPlcfbtePapx()`
`int` | `getFcPlcffldMom()`
`int` | `getFcPlcfLst()`
`int` | `getFcPlcfsed()`
`int` | `getFcPlcspaMom()`
`int` | `getFcPlfLfo()`
`int` | `getFcStshf()`
`int` | `getFcSttbfffn()`
`int` | `getFcSttbfRMark()`
`int` | `getFcSttbSavedBy()`
`int` | `getLcbClx()`
`int` | `getLcbDggInfo()`
`int` | `getLcbDop()`
`int` | `getLcbPlcfbteChpx()`
`int` | `getLcbPlcfbtePapx()`
`int` | `getLcbPlcffldMom()`
`int` | `getLcbPlcfLst()`
`int` | `getLcbPlcfsed()`
`int` | `getLcbPlcspaMom()`
`int` | `getLcbPlfLfo()`
`int` | `getLcbStshf()`
`int` | `getLcbSttbfffn()`
`int` | `getLcbSttbfRMark()`
`int` | `getLcbSttbSavedBy()`
`int` | `getModifiedHigh()`
`int` | `getModifiedLow()`
`int` | `getPlcfHddOffset()` Return the offset to the PlcfHdd, in the table stream, i.e.
`int` | `getPlcfHddSize()` Return the size of the PlcfHdd, in the table stream, i.e.
`int` | `getSize()` Size of record (exluding 4 byte header)
`void` | `setCbMac(int cbMac)` Updates the count of the number of bytes in the main stream which contain real data
`void` | `setCcpAtn(int ccpAtn)` Updates the count of CPs in the comments (atn) story subdocument
`void` | `setCcpEdn(int ccpEdn)` Updates the count of CPs in the end note subdocument
`void` | `setCcpFtn(int ccpFtn)` Updates the count of CPs in the footnote subdocument
`void` | `setCcpHdd(int ccpHdd)` Updates the count of CPs in the header story subdocument
`void` | `setCcpHdrTxtBx(int ccpTxtBx)` Updates the count of CPs in the header textboxes
`void` | `setCcpText(int ccpText)` Updates the count of CPs in the main document
`void` | `setCcpTxtBx(int ccpTxtBx)` Updates the count of CPs in the main document textboxes
`void` | `setFcClx(int fcClx)`
`void` | `setFcDop(int fcDop)`
`void` | `setFcPlcfbteChpx(int fcPlcfBteChpx)`
`void` | `setFcPlcfbtePapx(int fcPlcfBtePapx)`
`void` | `setFcPlcfLst(int fcPlcfLst)`
`void` | `setFcPlcfsed(int fcPlcfSed)`
`void` | `setFcPlfLfo(int fcPlfLfo)`
`void` | `setFcStshf(int fcStshf)`
`void` | `setFcSttbfffn(int fcSttbFffn)`
`void` | `setFcSttbfRMark(int fcSttbfRMark)`
`void` | `setFcSttbSavedBy(int fcSttbSavedBy)`
`void` | `setLcbClx(int lcbClx)`
`void` | `setLcbDop(int lcbDop)`
`void` | `setLcbPlcfbteChpx(int lcbPlcfBteChpx)`
`void` | `setLcbPlcfbtePapx(int lcbPlcfBtePapx)`
`void` | `setLcbPlcfLst(int lcbPlcfLst)`
`void` | `setLcbPlcfsed(int lcbPlcfSed)`
`void` | `setLcbPlfLfo(int lcbPlfLfo)`
`void` | `setLcbStshf(int lcbStshf)`
`void` | `setLcbSttbfffn(int lcbSttbFffn)`
`void` | `setLcbSttbfRMark(int lcbSttbfRMark)`
`void` | `setLcbSttbSavedBy(int fcSttbSavedBy)`
`void` | `setModifiedHigh(int modifiedHigh)`
`void` | `setModifiedLow(int modifiedLow)`
`void` | `setPlcfHddOffset(int fcPlcfHdd)`
`void` | `setPlcfHddSize(int lcbPlcfHdd)`
`void` | `writeTo(byte[] mainStream, HWPFOutputStream tableStream)`

Methods inherited from class org.apache.poi.hwpf.model.types.FIBAbstractType
`fillFields, getChs, getChsTables, getCQuickSaves, getEnvr, getFcMac, getFcMin, getFSpare0, getHistory, getLid, getLKey, getNFib, getNFibBack, getNProduct, getOptions, getPnNext, getWIdent, isFComplex, isFCrypto, isFDot, isFEmptySpecial, isFEncrypted, isFExtChar, isFFarEast, isFFutureSavedUndo, isFGlsy, isFHasPic, isFLoadOverride, isFLoadOverridePage, isFMac, isFReadOnlyRecommended, isFWhichTblStm, isFWord97Saved, isFWriteReservation, serialize, setChs, setChsTables, setCQuickSaves, setEnvr, setFcMac, setFcMin, setFComplex, setFCrypto, setFDot, setFEmptySpecial, setFEncrypted, setFExtChar, setFFarEast, setFFutureSavedUndo, setFGlsy, setFHasPic, setFLoadOverride, setFLoadOverridePage, setFMac, setFReadOnlyRecommended, setFSpare0, setFWhichTblStm, setFWord97Saved, setFWriteReservation, setHistory, setLid, setLKey, setNFib, setNFibBack, setNProduct, setOptions, setPnNext, setWIdent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileInformationBlock

    public FileInformationBlock(byte[] mainDocument)

  Creates a new instance of FileInformationBlock

Method Detail

### fillVariableFields

    public void fillVariableFields(byte[] mainDocument,
                                   byte[] tableStream)

### getFcDop

    public int getFcDop()

### setFcDop

    public void setFcDop(int fcDop)

### getLcbDop

    public int getLcbDop()

### setLcbDop

    public void setLcbDop(int lcbDop)

### getFcStshf

    public int getFcStshf()

### getLcbStshf

    public int getLcbStshf()

### setFcStshf

    public void setFcStshf(int fcStshf)

### setLcbStshf

    public void setLcbStshf(int lcbStshf)

### getFcClx

    public int getFcClx()

### getLcbClx

    public int getLcbClx()

### setFcClx

    public void setFcClx(int fcClx)

### setLcbClx

    public void setLcbClx(int lcbClx)

### getFcPlcfbteChpx

    public int getFcPlcfbteChpx()

### getLcbPlcfbteChpx

    public int getLcbPlcfbteChpx()

### setFcPlcfbteChpx

    public void setFcPlcfbteChpx(int fcPlcfBteChpx)

### setLcbPlcfbteChpx

    public void setLcbPlcfbteChpx(int lcbPlcfBteChpx)

### getFcPlcfbtePapx

    public int getFcPlcfbtePapx()

### getLcbPlcfbtePapx

    public int getLcbPlcfbtePapx()

### setFcPlcfbtePapx

    public void setFcPlcfbtePapx(int fcPlcfBtePapx)

### setLcbPlcfbtePapx

    public void setLcbPlcfbtePapx(int lcbPlcfBtePapx)

### getFcPlcfsed

    public int getFcPlcfsed()

### getLcbPlcfsed

    public int getLcbPlcfsed()

### setFcPlcfsed

    public void setFcPlcfsed(int fcPlcfSed)

### setLcbPlcfsed

    public void setLcbPlcfsed(int lcbPlcfSed)

### getFcPlcfLst

    public int getFcPlcfLst()

### getLcbPlcfLst

    public int getLcbPlcfLst()

### setFcPlcfLst

    public void setFcPlcfLst(int fcPlcfLst)

### setLcbPlcfLst

    public void setLcbPlcfLst(int lcbPlcfLst)

### getFcPlfLfo

    public int getFcPlfLfo()

### getLcbPlfLfo

    public int getLcbPlfLfo()

### setFcPlfLfo

    public void setFcPlfLfo(int fcPlfLfo)

### setLcbPlfLfo

    public void setLcbPlfLfo(int lcbPlfLfo)

### getFcSttbfffn

    public int getFcSttbfffn()

### getLcbSttbfffn

    public int getLcbSttbfffn()

### setFcSttbfffn

    public void setFcSttbfffn(int fcSttbFffn)

### setLcbSttbfffn

    public void setLcbSttbfffn(int lcbSttbFffn)

### getFcSttbfRMark

    public int getFcSttbfRMark()

### getLcbSttbfRMark

    public int getLcbSttbfRMark()

### setFcSttbfRMark

    public void setFcSttbfRMark(int fcSttbfRMark)

### setLcbSttbfRMark

    public void setLcbSttbfRMark(int lcbSttbfRMark)

### getPlcfHddOffset

    public int getPlcfHddOffset()

  Return the offset to the PlcfHdd, in the table stream, i.e. fcPlcfHdd

### getPlcfHddSize

    public int getPlcfHddSize()

  Return the size of the PlcfHdd, in the table stream, i.e. lcbPlcfHdd

### setPlcfHddOffset

    public void setPlcfHddOffset(int fcPlcfHdd)

### setPlcfHddSize

    public void setPlcfHddSize(int lcbPlcfHdd)

### getFcSttbSavedBy

    public int getFcSttbSavedBy()

### getLcbSttbSavedBy

    public int getLcbSttbSavedBy()

### setFcSttbSavedBy

    public void setFcSttbSavedBy(int fcSttbSavedBy)

### setLcbSttbSavedBy

    public void setLcbSttbSavedBy(int fcSttbSavedBy)

### getModifiedLow

    public int getModifiedLow()

### getModifiedHigh

    public int getModifiedHigh()

### setModifiedLow

    public void setModifiedLow(int modifiedLow)

### setModifiedHigh

    public void setModifiedHigh(int modifiedHigh)

### getCbMac

    public int getCbMac()

  How many bytes of the main stream contain real data.

### setCbMac

    public void setCbMac(int cbMac)

  Updates the count of the number of bytes in the main stream which contain real data

### getCcpText

    public int getCcpText()

  The count of CPs in the main document

### setCcpText

    public void setCcpText(int ccpText)

  Updates the count of CPs in the main document

### getCcpFtn

    public int getCcpFtn()

  The count of CPs in the footnote subdocument

### setCcpFtn

    public void setCcpFtn(int ccpFtn)

  Updates the count of CPs in the footnote subdocument

### getCcpHdd

    public int getCcpHdd()

  The count of CPs in the header story subdocument

### setCcpHdd

    public void setCcpHdd(int ccpHdd)

  Updates the count of CPs in the header story subdocument

### getCcpAtn

    public int getCcpAtn()

  The count of CPs in the comments (atn) subdocument

### getCcpCommentAtn

    public int getCcpCommentAtn()

### setCcpAtn

    public void setCcpAtn(int ccpAtn)

  Updates the count of CPs in the comments (atn) story subdocument

### getCcpEdn

    public int getCcpEdn()

  The count of CPs in the end note subdocument

### setCcpEdn

    public void setCcpEdn(int ccpEdn)

  Updates the count of CPs in the end note subdocument

### getCcpTxtBx

    public int getCcpTxtBx()

  The count of CPs in the main document textboxes

### setCcpTxtBx

    public void setCcpTxtBx(int ccpTxtBx)

  Updates the count of CPs in the main document textboxes

### getCcpHdrTxtBx

    public int getCcpHdrTxtBx()

  The count of CPs in the header textboxes

### setCcpHdrTxtBx

    public void setCcpHdrTxtBx(int ccpTxtBx)

  Updates the count of CPs in the header textboxes

### clearOffsetsSizes

    public void clearOffsetsSizes()

### getFcPlcffldMom

    public int getFcPlcffldMom()

### getLcbPlcffldMom

    public int getLcbPlcffldMom()

### getFcPlcspaMom

    public int getFcPlcspaMom()

### getLcbPlcspaMom

    public int getLcbPlcspaMom()

### getFcDggInfo

    public int getFcDggInfo()

### getLcbDggInfo

    public int getLcbDggInfo()

### writeTo

    public void writeTo(byte[] mainStream,
                        HWPFOutputStream tableStream)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSize

    public int getSize()

  Description copied from class: `FIBAbstractType`
  Size of record (exluding 4 byte header)

  Overrides:
    `getSize` in class `FIBAbstractType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.